> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agenticpencil.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Usage

> Check your credit balance and recent API usage

Check your current plan, credit balance, rate limits, and recent API calls.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.agenticpencil.com/v1/usage" \
    -H "Authorization: Bearer ap_your_api_key_here"
  ```
</RequestExample>

## Authorization

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer ap_your_api_key`
</ParamField>

## Response

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "data": {
      "plan": "free",
      "credits_used": 30,
      "credits_limit": 50,
      "credits_remaining": 20,
      "rate_limit": 10,
      "recent_calls": [
        {
          "endpoint": "/v1/keywords/research",
          "credits_used": 5,
          "created_at": "2026-02-18T15:30:00Z"
        }
      ],
      "upgrade_url": "https://platform.agenticpencil.com/billing"
    }
  }
  ```
</ResponseExample>
